# $Revision: 1.47 $, $Date: 2002/10/24 21:52:04 $
Summary:	KDbg - a KDE Graphical Debugger Interface
Summary(es):	Interfaz grfica KDE para gdb
Summary(pl):	Interfejs KDE do gdb
Summary(pt_BR):	Interface grfica KDE para o gdb
Name:		kdbg
Version:	1.2.6
Release:	3
Epoch:		1
License:	GPL
Group:		X11/Development/Tools
Vendor:		Johannes Sixt <Johannes.Sixt@telecom.at>
Source0:	ftp://download.sourceforge.net/pub/sourceforge/kdbg/%{name}-%{version}.tar.gz
Patch0:		%{name}-desktop.patch
URL:		http://members.nextra.at/johsixt/kdbg.html
BuildRequires:	kdelibs-devel >= 3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_kde_icondir	%{_pixmapsdir}
%define		_kde_minidir	%{_kde_icondir}/mini
%define		_htmldir	/usr/share/doc/kde/HTML

%description
KDbg is a graphical user interface to gdb, the GNU debugger. It
provides an intuitive interface for setting breakpoints, inspecting
variables, and stepping through code.

Features:
- Variable inspection in a tree structure.
- Shows important member variables of class types without the need to
  "open" the variable. For example, you don't need to go into a variable
  of type QString to view the string value - it's shown next to the
  string variable.
- See for yourself. (This is, of course, configurable, not
  hardcoded!).
- Debugger at your finger tips: The important debugger functions
  (step, next, finish, until, run/continue, enable/disable/set/remove
  breakpoint) are bound to the function keys F5 through F10. It's fast
  and easy!.
- Everything you need to debug a program: View source code, Search
  text, set program arguments.

%description -l es
Interfaz grfica KDE para gdb.

%description -l pl
KDbg to graficzny interfejs uytkownika do gdb, debuggera GNU. Daje
intuicyjny interfejs do ustawiania breakpointw, przegldania
zmiennych, ledzienia kodu.

Moliwoci:
- przegldanie zmiennych w strukturze drzewiastej
- wywietlanie istotnych zmiennych z klas bez potrzeby "otwierania"
  zmiennej. Na przykad, nie potrzeba wchodzi do zmiennej typu
  QString aby zobaczy zawarto stringa - jest wywietlana zaraz za
  zmienn
- debugger pod palcami - najwaniejsze funkcje (krok, nastpny,
  koniec, do miejsca, uruchomienie/kontynuacja, wczenie/wyczenie/
  dodanie/usunicie brekpointu) s przypisane klawiszom F5 do F10.
- Wszystko co potrzebne do odpluskwiania programu: przegldanie kodu
  rdowego, wyszukiwanie tekstu, ustawianie parametrw programu.

%description -l pt_BR
Interface grfica KDE para o gdb.

%prep
%setup -q
%patch0 -p1

%build
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -Wall"
kde_icondir=%{_kde_icondir}
kde_minidir=%{_kde_minidir}
export kde_icondir kde_minidir
kde_htmldir="%{_htmldir}"; export kde_htmldir
%configure2_13 \
	--disable-rpath \
	--enable-final \
	--with-kde-version=3

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/zh_CN{.GB2312,}
mv -f $RPM_BUILD_ROOT%{_pixmapsdir}{/hicolor/48x48/apps,}/kdbg.png

%find_lang %{name} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc BUGS ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Development/*
%{_datadir}/apps/kdbg
%{_pixmapsdir}/*.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: kdbg.spec,v $
Revision 1.47  2002/10/24 21:52:04  kloczek
- release 3: added --disable-rpath --enable-final to autoconf parameters.

Revision 1.46  2002/10/23 09:58:55  kloczek
- using desktop patch we don need all pixmaps (only this in main %%{_pixmapsdir}
  are neccessary).

Revision 1.45  2002/10/23 08:52:00  qboosh
- removed dirs that belong to kdelibs; release 2, STBR

Revision 1.44  2002/10/22 07:30:16  kloczek
- updated to 1.2.6,
- added desktop patch,
- rename zh_CN.GB2312 locale to zh_CN,
- merge translations from Conectiva.

Revision 1.43  2002/08/29 23:43:39  blues
- release 2

Revision 1.42  2002/07/30 23:37:19  blues
- Release 2.1

Revision 1.41  2002/07/30 10:58:44  qboosh
- fixed docs location

Revision 1.40  2002/07/29 02:35:38  blues
- really new doc now...

Revision 1.39  2002/07/24 22:02:39  undefine
- typo

Revision 1.38  2002/07/22 23:57:26  blues
- new doc
- version prepared for KDE3

Revision 1.37  2002/07/05 14:20:29  undefine
- add buildrequires: fam-devel
- stb?

Revision 1.36  2002/06/15 11:41:09  ankry
- removed %%lang(en)
- release 2

Revision 1.35  2002/06/14 21:34:14  mkierus
- release 1

Revision 1.34  2002/06/09 13:04:52  mkierus
- updated to 1.2.5

Revision 1.33  2002/02/22 23:29:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:13:28  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/05 16:08:00  qboosh
- fixed Group (to X11/Development/Tools), added pl description, cosmetics; release 3

Revision 1.30  2001/11/18 17:36:03  yascool
- version upgraded to 1.2.2
- added configure argument to compile against Qt & KDE >=2,0

Revision 1.28  2001/05/02 21:51:21  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.27  2000/07/28 13:57:45  zagrodzki
- release 2, built against libpng >= 1.0.8

Revision 1.26  2000/06/11 19:43:34  kloczek
- updated URL and Source url.

Revision 1.25  2000/06/09 07:54:43  kloczek
- more %%{__make} macros.

Revision 1.24  2000/06/09 07:23:05  kloczek
- added using %%{__make} macro.

Revision 1.23  2000/06/07 03:14:18  kloczek
- spec adapterized.

Revision 1.22  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.21  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.20  2000/03/05 20:50:11  kloczek
- updated to 1.1.0,
- spec adapterized,
- added BUGS, ChangeLog, TODO to %doc.

Revision 1.19  1999/12/28 00:07:36  kloczek
- updated to 1.0.2,
- place icons in %%{_datadir}/pixmaps (in the same path as GNOME
  applications).

Revision 1.18  1999/12/09 06:46:24  kloczek
- added including .mo files list to %files.

Revision 1.17  1999/12/09 06:03:40  kloczek
- release 2,
- added -fno-rtti and -fno-exceptions to CXXFLAGS,
- DESTDIR style %install,
- rewrited %files list.

Revision 1.16  1999/12/01 11:17:04  kloczek
- updated to 1.0.1,
- more rpm macros.

Revision 1.15  1999/07/20 12:59:54  baggins
- update to 0.3.0

Revision 1.14  1999/07/20 11:04:34  baggins
- fixed usage of macros
- added/removed neccesary/obsolete patches
- FHS 2.0 compliance where needed
- gzipping docs where needed

Revision 1.13  1999/07/12 23:06:00  kloczek
- added using CVS keywords in %changelog (for automating them).

* Tue Sep 15 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2.2-3]
- KDEDIR changed to /usr/X11R6,
- qt is now placed in /usr/X11R6 also.

* Thu Sep  3 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2.2-2]
- added patch with polish translation
  (Adam Kozubowicz <tapir@interdata.com.pl>).

* Mon Aug 31 1998 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.2.2-1]
- first release in rpm package.
